Execute Computer Use or Mobile Use action
Executes a computer use or mobile use action on the sandbox.
Executes a computer use or mobile use action on the sandbox.
Path Parameters
sandboxId*string
The sandbox ID
orgId*string
The organization ID
Request Body
application/json
action*|||||||||||||||||||||||||
screenShotPutUrl?string
Optional screenshot upload URL, passed through to redshift for BYO storage.
Format
uriincludeScreenShot?boolean
Whether to include the screenshot url after action in the response
Default
trueincludeCursorPosition?boolean
Whether to include the cursor position after action in the response. On some cursor-less devices, only width and height are meaningful.
Default
trueResponse Body
application/json
curl -X POST "https://loading/api/orgs/string/sandboxes/string/actions/execute" \ -H "Content-Type: application/json" \ -d '{ "action": { "type": "key:down", "key": "string" } }'{
"screenShot": "http://example.com",
"cursorPosition": {
"x": 0,
"y": 0,
"screenWidth": 0,
"screenHeight": 0,
"screenIndex": 0
},
"actionResult": null
}